<?php
/**
*    This file is part of EvalWF Module - Automatic evaluation of forms was made by webform module.
*    Copyright (C) 2020  University of Szeged
*
*    This EvalWF Module is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    Foobar is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Foobar.  If not, see <https://www.gnu.org/licenses/>.
*    it under the terms of the GNU General Public License as published by
*
* @file \Drupal\evalwf\Entity\EvalWFConfig.php - The Config Entity
*
* @author Tóthpál István
*/

namespace Drupal\evalwf\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\Core\Form\FormStateInterface;

/**
 * @ConfigEntityType(
 *   id = "evalwf_config",
 *   label = @Translation("EvalWF config"),
 *   handlers = {
 *     "list_builder" = "Drupal\evalwf\Controller\EvalWFConfigListBuilder",
 *     "form" = {
 *       "settings" = "Drupal\evalwf\Form\EvalWFConfigForm",
 *     }
 *   },
 *   config_prefix = "evalwf_config",
 *   admin_permission = "administer site configuration",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "adminsendmail" = "adminsendmail",
 *     "evalasuser" = "evalasuser",
 *     "mailer" = "mailer",
 *     "sendername" = "sendername",
 *     "sender" = "sender",
 *     "subject" = "subject",
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "adminsendmail",
 *     "evalasuser",
 *     "mailer",
 *     "sendername",
 *     "sender",
 *     "subject",
 *   },
 *   links = {
 *     "settings-form" = "/admin/structure/evalwf/config",
 *   }
 * )
 */

class EvalWFConfig extends ConfigEntityBase implements ConfigEntityInterface {

  public $id;
  public $label;

  public $adminsendmail;
  public $evalasuser;

  public $mailer;
  public $sendername;
  public $sender;
  public $subject;

}
?>
